%if 0%{?rhel}
%global with_python3 0
%else
%global with_python3 1
%endif

# Created by pyp2rpm-1.1.1
%global pypi_name anymarkup-core
%global srcname anymarkup-core
%global modulename anymarkup_core

Name:           python-%{srcname}
Version:        0.5.0
Release:        6%{?dist}
Summary:        Core library for anymarkup

License:        BSD
URL:            https://github.com/bkabrda/anymarkup-core
Source0:        https://github.com/bkabrda/anymarkup-core/archive/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  pytest
BuildRequires:  python-configobj python-flexmock python-six python-xmltodict PyYAML

%if 0%{?with_python3}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-pytest
%endif

Requires:      python-six

%description
%{summary}

This is the core library that implements functionality of
python-anymarkup.

%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary: %{summary}

BuildRequires: python3-configobj
BuildRequires: python3-flexmock
BuildRequires: python3-six
BuildRequires: python3-xmltodict
BuildRequires: python3-PyYAML

Requires: python3
Requires: python3-six

%description -n python3-%{srcname}
%{summary}

This is the core library that implements functionality of
python-anymarkup.

%endif

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%if 0%{?with_python3}
echo %{py3dir}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif


%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
%py_byte_compile %{__python2} %{buildroot}%{python_sitelib}/%{srcname}
%else
# py_byte_compile is only defined in python3-devel
%{__python2} -m compileall %{buildroot}%{python_sitelib}/%{srcname}
%endif

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}/%{srcname}
popd
%endif

%check
%{__python2} -m pytest

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} -m pytest
popd
%endif

%files
%if 0%{?fedora}
%license LICENSE
%else
%if 0%{?rhel} < 7
%doc LICENSE
%else
%license LICENSE
%endif
%endif
%doc README.rst
%{python2_sitelib}/%{modulename}
%{python2_sitelib}/%{modulename}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{modulename}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{modulename}/
%endif

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.5.0-5
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Tue Oct 20 2015 jchaloup <jchaloup@redhat.com> - 0.5.0-1
  Initial package for Fedora
  resolves: #1273471
